<template>
  <div class="vue-tempalte">
    <form>
      <h3>Sign In</h3>
      <div class="form-group">
        <label>Nickname</label>
        <input v-model="nickname" type="text" class="form-control" /> <br />
        <button class="btn btn-primary" @click.prevent="login()">Entrar</button>
      </div>
    </form>
  </div>
</template>
<script>
export default {
  name: "NickName",
  data() {
    return {
      nickname: null,
    };
  },
  methods: {
    login() {
      if (this.nickname == "") {
        alert("ingrese un nickname");
      } else if (this.nickname != "") {
        this.setNickname(this.nickname);
      }
    },
    setNickname(nickname) {
      this.$emit("clicked", nickname);
    },
  },
};
</script>
<style>
</style>